com.ibm.openpages.api.workflow

## Enum WFEvalType

- java.lang.Object
- - java.lang.Enum<WFEvalType>
  - - com.ibm.openpages.api.workflow.WFEvalType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFEvalType>

      public enum WFEvalType
      extends java.lang.Enum<WFEvalType>

  Enumeration that represents evaluation unit type Refer `IWFEvalUnit` for more detail
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `advancedLogicCondition` Evaluation unit for a set of conditions joined with logical operators.
    `calculation` Evaluation unit that calculates decimal, date, and string based on expression.
    `conditionGroup` Evaluation unit for a conditional group.
    `currency` Evaluation unit for a currency value.
    `date` Evaluation unit for a date value.
    `ifElse` Evaluation unit that selects one of two values based on the condition.
    `list` Evaluation unit for a list.
    `objectCount` Evaluation unit for an object count.
    `objectField` Evaluation unit for object field(s).
    `objects` Evaluation unit for object(s).
    `range` Evaluation unit that selects one of the value based on the range.
    `relationalCondition` Evaluation unit for a relational condition.
    `string` Evaluation unit for a string.
    `switches` Evaluation unit that selects one of the value among cases.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WFEvalType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFEvalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### string

          public static final WFEvalType string

      Evaluation unit for a string. Refer `IWFStringEval`

    - #### list

          public static final WFEvalType list

      Evaluation unit for a list. Refer `IWFListEval`

    - #### currency

          public static final WFEvalType currency

      Evaluation unit for a currency value. Refer `IWFCurrencyEval`

    - #### date

          public static final WFEvalType date

      Evaluation unit for a date value. Refer `IWFDateEval`

    - #### objectField

          public static final WFEvalType objectField

      Evaluation unit for object field(s). Refer `IWFObjectFieldEval`

    - #### objectCount

          public static final WFEvalType objectCount

      Evaluation unit for an object count. Refer `IWFObjectCountEval`

    - #### objects

          public static final WFEvalType objects

      Evaluation unit for object(s). Refer `IWFObjectsEval`
      Since:
        8.1

    - #### switches

          public static final WFEvalType switches

      Evaluation unit that selects one of the value among cases. Refer `IWFSwitchesEval`

    - #### ifElse

          public static final WFEvalType ifElse

      Evaluation unit that selects one of two values based on the condition. Refer `IWFIfElseEval`

    - #### conditionGroup

          public static final WFEvalType conditionGroup

      Evaluation unit for a conditional group. Refer `IWFConditionGroupEval`

    - #### advancedLogicCondition

          public static final WFEvalType advancedLogicCondition

      Evaluation unit for a set of conditions joined with logical operators. Refer `IWFAdvancedLogicConditionEval`
      Since:
        8.1.0.1

    - #### relationalCondition

          public static final WFEvalType relationalCondition

      Evaluation unit for a relational condition. Refer `IWFRelationalConditionEval`

    - #### calculation

          public static final WFEvalType calculation

      Evaluation unit that calculates decimal, date, and string based on expression. Refer `IWFCalculationEval`
      Since:
        8.2

    - #### range

          public static final WFEvalType range

      Evaluation unit that selects one of the value based on the range. Refer `IWFRangeEval`
      Since:
        8.2

  - ### Method Detail

    - #### values

          public static WFEvalType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFEvalType c : WFEvalType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFEvalType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.